package me.hammerle.supersnuvi.tiles;

import me.hammerle.supersnuvi.gamelogic.ILevel;

public class Location 
{
    private final Tile tile;
    private final ILevel l;
    private final int x;
    private final int y;
    
    public Location(Tile tile, ILevel l, int x, int y)
    {
        this.tile = tile;
        this.l = l;
        this.x = x;
        this.y = y;        
    }

    public Tile getTile() 
    {
        return tile;
    }
    
    public ILevel getLevel() 
    {
        return l;
    }

    public int getX() 
    {
        return x;
    }

    public int getY() 
    {
        return y;
    }
}
